@font-face{
    font-family:'Yekan';

    src:url('./fonts/Yekan.ttf') format('truetype');

    font-weight:normal;

    font-style:normal;
}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
body{
    font-family:'Yekan', sans-serif;
    background:#050505;
    color:white;
    
    overflow-x:hidden;
}

a{
    text-decoration:none;
}

img{
    display:block;
}
header{

    position:fixed;

    top:0;
    left:0;

    width:100%;

    height:82px;

    padding:0 24px;

    display:flex;

    align-items:center;

    justify-content:space-between;

    background:rgba(0,0,0,.45);

    backdrop-filter:blur(18px);

    z-index:999;
}
.header-left{
    display:flex;
    align-items:center;
    gap:12px;
}

.nav{

    display:flex;

    align-items:center;

    gap:38px;
}
.logo{
    margin-left:auto;

    width:110px;

    display:flex;
    align-items:center;
    justify-content:flex-start;

    overflow:visible;
}

.logo img{
    width:150px;

    max-width:none;

    transform:translateY(1px);
    filter:drop-shadow(0 0 12px rgba(255,255,255,.08));
}

/* منو */
.nav{
    position:absolute;

    left:50%;
    top:50%;

    transform:translate(-50%,-50%);

    display:flex;
    align-items:center;

    gap:42px;

    z-index:20;
}

.nav a{
    font-family:'Yekan';

    font-weight:700;

    letter-spacing:-0.3px;

    color:white;
    text-decoration:none;
    font-size:14px;
    font-weight:500;
}
.nav-links{
    display:flex;
    align-items:center;
    gap:48px;
}
.navbar{
    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:82px;

    display:flex;
    align-items:center;
    justify-content:center;

    padding:0 60px;

    background:rgba(0,0,0,.45);

    backdrop-filter:blur(12px);

    border-bottom:1px solid rgba(255,255,255,.08);

    z-index:9999;
}
.help-text{
    color:#d7a14a;

    font-size:15px;
    font-weight:600;

    white-space:nowrap;
}

/* سمت چپ */
.header-right{
    position:absolute;
    left:30px;
    top:50%;
    transform:translateY(-50%);
    z-index:100;
}

/* مشاوره */
.consult-link{
    display:flex;
    align-items:center;
    gap:8px;

    color:#d7a14a;
    text-decoration:none;

    font-size:14px;
    font-weight:500;

    transition:.3s;
}

.consult-link span{
    transition:.3s;
}

.consult-link:hover span{
    transform:translateX(5px);
}

.hero{
    position: relative;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    background: #050505;
}

.hero-banner{
    position: absolute;
    inset: 0;
    z-index: 1;
}

.hero-banner img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.hero-left{
    position: relative;
    z-index: 5;
    width: 50%;
    padding-right: 80px;
}
.products-section{
    width:100%;
    background:#050505;
}

.product-strip{
    position:relative;
    text-decoration:none;
    cursor:pointer;
    overflow:hidden;
    position:relative;
    height:210px;

    border-top:1px solid rgba(255,255,255,.12);

    display:flex;

    align-items:center;

    direction:ltr;

    gap:0;

    overflow:hidden;
    isolation:isolate;
}
.product-strip img{
    position:absolute;
    inset:0;

    width:100%;
    height:100%;

    object-fit:cover;

    opacity:1;

    filter:brightness(0.80);

    transform:scale(1.08) translateX(6%);

    transition:
    transform 6s cubic-bezier(.19,1,.22,1),
    filter .6s ease;
}
.product-strip::after{
    content:'';

    position:absolute;
    inset:0;

    background:
    linear-gradient(
    90deg,
    rgba(0,0,0,0.95) 0%,
    rgba(0,0,0,0.85) 22%,
    rgba(0,0,0,0.25) 55%,
    rgba(0,0,0,0.70) 100%
    );

    z-index:2;
}

.product-strip:hover img{
    transform:scale(1.02) translateX(-2%);
    filter:brightness(0.95);
}

.product-content{
    
    font-family:'Bebas Neue', sans-serif;

    letter-spacing:1px;

    font-size:58px;

    line-height:.92;

    width:32%;
    min-width:320px;

    height:100%;

    position:relative;

    display:flex;
    flex-direction:column;
    justify-content:center;

    padding:0 40px;

    z-index:5;
}
.product-number{
    width:90px;
    min-width:90px;

    direction:ltr;

    unicode-bidi:embed;

    font-family:'Inter', sans-serif;

    position:relative;

    display:flex;
    align-items:center;
    justify-content:center;

    color:rgba(215,161,74,.95);

    font-size:42px;
    font-weight:700;

    letter-spacing:-2px;

    opacity:.22;

    z-index:5;

    transition:.5s ease;
}

.product-number::after{
    content:"";

    position:absolute;

    width:1px;
    height:120px;

    background:linear-gradient(
        to bottom,
        transparent,
        rgba(215,161,74,.9),
        transparent
    );

    opacity:.5;
}

.product-content span{
    color:#d7a14a;
    font-size:15px;
    display:block;
    margin-bottom:10px;
}

.product-content h2{
    font-size:34px;
    line-height:1;
    font-weight:100;
    margin-bottom:24px;
    letter-spacing: spacing -1px;

    color:white;
}

.product-content a{
    display:inline-flex;
    align-items:center;
    justify-content:center;

    width:180px;
    height:54px;

    border:1px solid #d7a14a;
    color:white;
    text-decoration:none;

    transition:.3s;
}

.product-strip:hover .product-number{
    opacity:.95;
    transform:translateX(8px);
}
.product-strip:hover {
    opacity:.95;
    transform:translateX(8px);
}

.product-strip::before{
    content:"";
    position:absolute;
    top:0;
    left:0;

    width:38%;
    height:100%;

    background:linear-gradient(
        to right,
        rgba(0,0,0,.82) 0%,
        rgba(0,0,0,.55) 45%,
        rgba(0,0,0,.15) 75%,
        rgba(0,0,0,0) 100%
    );

    z-index:2;
}


.double-category{
    display:flex;
    width:100%;
    height:420px;
}

.double-box{
    position:relative;
    flex:1;
    overflow:hidden;
    display:block;
}

.industrial-box{
    flex:1;
}

.mobile-box{
    flex:1;
}

.double-box img{
    width:100%;
    height:100%;
    object-fit:cover;

    transform:scale(1.00);
    transition:transform 5s cubic-bezier(.19,1,.22,1);

    filter:brightness(.78);
}

.double-box:hover img{
    transform:scale(1.1) translateX(3%);
}

.double-box::after{
    content:"";
    position:absolute;
    inset:0;

    background:linear-gradient(
        to top,
        rgba(0,0,0,.45),
        rgba(0,0,0,.30)
    );

    z-index:1;
}

.double-content{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);

    z-index:2;

    text-align:center;
    color:white;
}

.double-content span{
    color:#d7a14a;
    font-size:14px;
    display:block;
    margin-bottom:10px;
}

.double-content h2{
    font-size:38px;
    line-height:1;
    font-weight:700;


    flex-direction:row-reverse;

    flex-shrink:0;
}
@media (max-width:1200px){

    .nav{
        gap:24px;
    }

    .nav a{
        font-size:13px;
    }

    .consult-link{
        display:none;
    }

    .logo img{
        width:120px;
    }

    }

/* =========================
TABLET
========================= */
@media (max-width:900px){
    header{
        padding:0 18px;
    }
    .nav{
        gap:18px;
    }
    .nav a{
        font-size:12px;
    }
    .logo img{
        width:105px;
    }
    .consult-link{
        display:none;
    }
}
/* =========================
MOBILE
========================= */
@media (max-width:768px){
    header{
        height:78px;
        padding:0 18px;
    }
    .nav{
        display:none;
    }
         .logo{
        position:absolute;
        right:18px;
        top:50%;
        transform:translateY(-50%);
    }
    .logo img{
        width:92px;
    }
    .header-right{
        position:absolute;
        left:74px;
        top:50%;
        transform:translateY(-50%);
    }
    .consult-link{
        display:none;
    }
    .hero{
        height:72vh;
    }
    .product-strip{
        height:160px;
    }
    .product-content{
        min-width:auto;
        width:60%;
        padding:0 20px;
    }
    .product-content h2{
        font-size:24px;
    }
    .product-number{
        width:60px;
        min-width:60px;
        font-size:28px;
    }
}
.search-box{

    position:relative;

    width:44px;
    height:44px;
    overflow: visible;
    flex-shrink:0;
}

.search-btn{

    width:44px;
    height:44px;

    border-radius:50%;

    border:1px solid rgba(255,255,255,.15);

    background:rgba(255,255,255,.05);

    backdrop-filter:blur(10px);

    color:white;

    cursor:pointer;

    position:absolute;

    top:0;
    right:0;

    z-index:3;
}

.search-box input{

    position:absolute;

    top:0;
    right:auto;

    width:44px;
    height:44px;
    left: 0;
    border:none;
    outline:none;

    border-radius:999px;

    background:rgba(255,255,255,.06);

    color:white;

    padding:0 52px 0 20px;

    opacity:0;

    transition:.4s;

    pointer-events:none;

    font-family:'Inter', sans-serif;
}

.search-box.active input{

    width:220px;

    opacity:1;

    pointer-events:auto
}
@media (max-width:768px){

    .nav{
        display:none;
    }

     .logo{
        position:absolute;

        right:18px;
    }
}
@media(max-width:768px){

.hero{
    height:55vh;
}

.hero-banner img{
    object-position:70% center;
}

}

@media (max-width:768px){

    .nav{
        display:none;
    }

    

    .header-right{
        display:none;
    }

}
/* =========================
SEARCH
========================= */

.search-box{
    position:relative;
    width:44px;
    height:44px;
    overflow:visible;
    flex-shrink:0;
}

.search-btn{
    width:44px;
    height:44px;

    border-radius:50%;
    border:1px solid rgba(255,255,255,.15);

    background:rgba(255,255,255,.05);
    backdrop-filter:blur(10px);

    color:#fff;
    cursor:pointer;

    position:absolute;
    top:0;
    right:0;

    z-index:3;
}

.search-box input{
    position:absolute;
    top:0;
    left:0;

    width:44px;
    height:44px;

    border:none;
    outline:none;

    border-radius:999px;

    background:rgba(255,255,255,.08);
    backdrop-filter:blur(20px);

    color:white;

    padding:0 20px 0 55px;

    opacity:0;
    pointer-events:none;

    transition:.35s ease;
}

.search-box.active input{
    width:220px;
    opacity:1;
    pointer-events:auto;
}

/* =========================
MOBILE MENU
========================= */

.mobile-menu{
    position:fixed;

    top:0;
    left:-320px;

    width:280px;
    height:100vh;

    background:rgba(10,10,10,.65);
    backdrop-filter:blur(24px);

    display:flex;
    flex-direction:column;

    gap:22px;

    padding:110px 30px;

    transition:.35s ease;

    z-index:9999;
}

.mobile-menu.active{
    left:0;
}

.mobile-menu a{
    color:white;
    font-size:16px;
    text-decoration:none;
}

.mobile-menu-btn{
    display:none;

    width:44px;
    height:44px;

    border-radius:50%;

    border:1px solid rgba(255,255,255,.15);

    background:rgba(255,255,255,.05);

    backdrop-filter:blur(10px);

    color:white;

    align-items:center;
    justify-content:center;

    cursor:pointer;
}

/* =========================
DESKTOP
========================= */

@media (min-width:769px){

    .mobile-menu{
        display:none;
    }

    .mobile-menu-btn{
        display:none !important;
    }

    .header-left{
        display:flex;
        align-items:center;
        gap:12px;
    }
}

/* =========================
MOBILE
========================= */

@media (max-width:768px){

    header{
        height:78px;
        padding:0 18px;
    }

    .nav{
        display:none;
    }

    .logo{
        position:absolute;
        right:18px;
        top:50%;
        transform:translateY(-50%);
    }

    .logo img{
        width:130px;
    }

    .header-left{
        position:absolute;

        left:18px;
        top:50%;

        transform:translateY(-50%);

        display:flex;
        align-items:center;

        gap:10px;
    }

    .mobile-menu-btn{
        display:flex !important;
    }

    .search-box{
        display:block;
    }

    /* هیرو بدون کراپ */

    .hero{
        height:auto;
    }

    .hero-banner{
        position:relative;
    }

    .hero-banner img{
        width:100%;
        height:auto;

        object-fit:contain;
        object-position:center;
    }

    /* باکس های پایین */

    .double-category{
        flex-direction:column;
        height:auto;
    }

    .double-box{
        height:280px;
    }

    .double-box img{
        width:100%;
        height:100%;

        object-fit:cover;
        object-position:center;
    }

    .product-strip{
        height:170px;
    }

    .product-content{
        width:65%;
        min-width:auto;

        padding:0 18px;
    }

    .product-content h2{
        font-size:24px;
    }

    .product-number{
        width:60px;
        min-width:60px;

        font-size:28px;
    }
}
.lang-switcher button{

    width:44px;
    height:44px;

    border-radius:50%;

    border:1px solid rgba(255,255,255,.15);

    background:rgba(255,255,255,.05);

    backdrop-filter:blur(10px);

    color:#d7a14a;

    cursor:pointer;

    font-family:'Inter',sans-serif;

    font-size:13px;
    font-weight:600;

    transition:.3s;
}

.lang-switcher button:hover{

    background:rgba(215,161,74,.12);

}
html[dir="ltr"] .nav{

    flex-direction:row;

}

html[dir="ltr"] .header-left{

    left:auto;

    right:24px;

}

html[dir="ltr"] .logo{

    margin-left:0;

    margin-right:auto;

}
html[lang="fa"] body{
    font-family:'Yekan',sans-serif;
}

html[lang="fa"] .nav a,
html[lang="fa"] .product-content span{
    font-family:'Yekan',sans-serif;
}

html[lang="en"] body{
    font-family:'Inter',sans-serif;
}

html[lang="en"] .nav a,
html[lang="en"] .mobile-menu a{
    font-family:'Inter',sans-serif;
    font-weight:600;
    letter-spacing:0;
}

html[lang="en"] .product-content span{
    font-family:'Inter',sans-serif;
    font-weight:600;
}
@media (max-width:768px){

html[lang="fa"] .logo{
    right:18px;
    left:auto;
}

html[lang="en"] .logo{
    left:18px;
    right:auto;
}

}
html[lang="fa"] .search-box input{
    right:auto;
    left:0;
}

html[lang="fa"] .search-box.active input{
    width:220px;
    right:auto;
    left:0;
}

html[lang="en"] .search-box input{
    right:0;
    left:auto;
}

html[lang="en"] .search-box.active input{
    width:220px;
    right:0;
    left:auto;
}
/* فارسی */

html[lang="fa"] .mobile-menu{

    left:auto !important;
    right:-320px;

}

html[lang="fa"] .mobile-menu.active{

    left:auto !important;
    right:0;

}

/* انگلیسی */

html[lang="en"] .mobile-menu{

    right:auto !important;
    left:-320px;

}

html[lang="en"] .mobile-menu.active{

    right:auto !important;
    left:0;

}
/* =========================
BRANDS
========================= */

.brands-section{
    padding:120px 40px;
    text-align:center;
}

.brands-section span{
    color:#d7a14a;
    font-size:14px;
    display:block;
    margin-bottom:12px;
}

.brands-section h2{
    font-size:42px;
    margin-bottom:60px;
}

.brands-grid{
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:25px;
}

.brands-grid div{
    border:1px solid rgba(255,255,255,.08);

    padding:35px 15px;

    background:rgba(255,255,255,.02);

    backdrop-filter:blur(10px);

    font-family:'Inter';
}

/* =========================
STATS
========================= */

.stats-section{
    display:grid;
    grid-template-columns:repeat(3,1fr);

    gap:25px;

    padding:80px 40px;
}

.stat-box{
    text-align:center;

    border:1px solid rgba(255,255,255,.08);

    padding:40px;
}

.stat-box h3{
    color:#d7a14a;
    font-size:52px;
}

.stat-box span{
    font-size:15px;
}

/* =========================
CONTACT
========================= */

.contact-section{

    padding:120px 40px;

    display:flex;

    justify-content:space-between;

    gap:60px;

    align-items:center;
}

.contact-content span{

    color:#d7a14a;

    display:block;

    margin-bottom:10px;
}

.contact-content h2{

    font-size:42px;

    max-width:650px;

    line-height:1.3;
}

.contact-info{

    display:flex;

    flex-direction:column;

    gap:18px;
}

.contact-info a{

    color:white;

    font-size:18px;
}

/* =========================
FOOTER
========================= */

.footer{

    border-top:1px solid rgba(255,255,255,.08);

    padding:60px 40px 30px;

    text-align:center;
}

.footer-logo img{

    width:200px;

    margin:auto;
}

.footer-links{

    display:flex;

    justify-content:center;

    gap:30px;

    margin:40px 0;
}

.footer-links a{

    color:white;
}

.copyright{

    color:rgba(255,255,255,.5);

    font-size:13px;
}
@media(max-width:768px){

.brands-grid{
    grid-template-columns:1fr 1fr;
}

.stats-section{
    grid-template-columns:1fr;
}

.contact-section{
    flex-direction:column;
    text-align:center;
}

.contact-content h2{
    font-size:28px;
}

.footer-links{
    flex-wrap:wrap;
    gap:15px;
}

}
.dark-texture-section{

    background-image:url("images/site-background-texture.webp");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    position:relative;
}
.footer-area{
    position:relative;

    background:
        linear-gradient(
            rgba(0,0,0,0.65),
            rgba(0,0,0,0.80)
        ),
        url("images/site-background-texture.webp");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
}
.brands-line{
    display:flex;
    justify-content:center;
    align-items:center;
    flex-wrap:wrap;
    gap:35px;

    margin-top:40px;
    padding:20px 0;

    color:#888;
    font-size:14px;
    font-weight:700;
    letter-spacing:2px;
    text-transform:uppercase;
}

.brands-line span{
    transition:.3s;
}

.brands-line span:hover{
    color:#d4a437;
}
.brands-section > span{
    display:block;
    text-align:center;
    color:#d4a437;
    font-size:14px;
    font-weight:700;
    letter-spacing:2px;
    margin-bottom:25px;
}
.copyright{
    width:100%;
    text-align:center;
    margin:40px auto 0;
}
.copyright{
    width:100%;
    text-align:center !important;
    display:block;
    margin:25px auto 0;
    direction:ltr;
    unicode-bidi:isolate;
}

html[lang="fa"] .copyright,
html[lang="en"] .copyright{
    text-align:center !important;
}
.copyright{
    direction:ltr;
    unicode-bidi:bidi-override;
    font-family:'Inter', sans-serif;
}